<?php

abstract class OferteoApiDict {
    static private $dict = array(
        'PL_pl' => array(
            'rfp.details.number' => 'Zlecenie nr ',
            'rfp.details.button.add.rfp.title' => 'otrzymaj oferty od Firm BEZPŁATNIE',
            'rfp.details.button.add.rfp.anchor' => '<b>Dodaj własne zlecenie<b><br/>i otrzymaj oferty od Firm',
            'rfp.details.category' => 'Kategoria:',
            'rfp.details.src.country' => 'Kraj odbioru:',
            'rfp.details.dst.country' => 'Kraj dostawy:',
            'rfp.details.dst.region' => 'Region dostawy:',
            'rfp.details.subject' => 'Podmiot:',
            'rfp.details.subject.person' => 'Osoba fizyczna',
            'rfp.details.subject.person.title' => 'Zapytanie o oferty złożone przez osobę fizyczną',
            'rfp.details.subject.company' => 'Firma / Instytucja',
            'rfp.details.subject.company.title' => 'Zapytanie o oferty złożone przez firmę',
            'rfp.search.rfp.fromTo' => ' do ',
            'rfp.details.date.added' => 'dodano ',
            'rfp.details.button.uncover' => '<strong>Skontaktuj się</strong><br>z tym Klientem',
            'rfp.details.button.similar.title' => 'Kliknij, aby złożyć podobne zapytanie o oferty',
            'rfp.details.button.similar.uncover' => '',
            'rfp.details.similar.title' => 'Podobne zlecenia:',

            'rfp.search.title.default' => '',
            'rfp.search.results.nodata' => 'Obecnie brak zapytań ofertowych w tej kategorii.',
            'rfp.details.date.valid.to' => 'ważne przez ',
            'rfp.search.results.sort' => 'Sortuj: ',
            'rfp.search.results.sort.activation' => 'data złożenia',
            'rfp.search.results.sort.expiry' => 'data ważności',
            'rfp.search.results.currentPage' => 'Strona ',
            'rfp.search.newRfp' => 'Otrzymaj Oferty Firm',
            'rfp.search.newRfp.free' => 'Bezpłatnie',
            'rfp.search.newRfp.part1' => 'Zainteresowane Firmy same wyślą Ci Oferty',
            'rfp.search.newRfp.part2' => 'Oszczędzisz 80% czasu i nawet 30% pieniędzy!',

            'rfp.title.personal.active' => 'Zapytanie ofertowe złożone przez osobę fizyczną, aktywne',
            'rfp.title.company.active' => 'Zapytanie ofertowe złożone przez firmę, aktywne',
            'rfp.title.personal.inactive' => 'Zapytanie ofertowe złożone przez osobę fizyczną, nieaktywne',
            'rfp.title.company.inactive' => 'Zapytanie ofertowe złożone przez firmę, nieaktywne'
        )
    );
//
//
    static public function get($locale, $word) {
        if (!array_key_exists($locale, self::$dict)) {
            $locale = OferteoApi::DEFAULT_LOCALE;
        }

        try {
            if (!array_key_exists($word, self::$dict[$locale])) {
                $locale = OferteoApi::DEFAULT_LOCALE;

                if (!array_key_exists($word, self::$dict[$locale])) {
                    throw new Exception();
                }
            }

            return self::$dict[$locale][$word];
        } catch (Exception $e) {
            return '';
        }
    }
}